Subject: [dhcwg] No DHC WG meeting @ IETF-103 (Bangkok)

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 24 Sep 2018 14:21:53 +0000

Hi:

Due to receiving only a single agenda request for the DHC WG @ IETF-103, Tomek and I have decided that we will not meet in Bangkok for IETF-103.

The one session request was by Lin He for draft-ren-dhc-problem-statement-of-mredhcpv6 (now expired Related Internet Draft). I sent some comments about this draft to the authors (and WG) and it has not been republished. This would most likely just be an information document if the WG ever decided to adopt it.

The status of the active WG documents is as follows:

1.       Softwire Provisioning using DHCPv4 Over DHCPv6 (draft-ietf-dhc-dhcp4o6-saddr-opt-04<https://datatracker.ietf.org/doc/draft-ietf-dhc-dhcp4o6-saddr-opt/>) is progressing and on the IESG telechat (2018-10-11). There were some useful comments received during the directorate reviews and an updated version is needed (ideally before the telechat).

2.       YANG Data Model for DHCPv6 Configuration (draft-ietf-dhc-dhcpv6-yang-07<https://datatracker.ietf.org/doc/draft-ietf-dhc-dhcpv6-yang/>) has recently been updated.

3.       Dynamic Host Configuration Protocol for IPv6 (DHCPv6) bis (draft-ietf-dhc-rfc3315bis-13<https://datatracker.ietf.org/doc/draft-ietf-dhc-rfc3315bis/>) is in AUTH48 and is awaiting final approval from several authors. It will hopefully be published soon.

There are 2 Related Internet Drafts:

1.       Link-Layer Addresses Assignment Mechanism for DHCPv6  (draft-bvtm-dhc-mac-assign-01) should shortly be updated with Carlos Jesús Bernardos Cano as an added author. This was presented at IETF-101<https://datatracker.ietf.org/meeting/101/materials/slides-101-dhc-mac-addresses-assignment-for-dhcpv6-01> and likely the authors will request a call for adoption sometime later this year/early next.

2.       DHCPv6 Options for private DNS Discovery (draft-pusateri-dhc-dns-driu-00). I have no additional information on this document.

For now, the WG will continue to advance the 3 active WG documents and, after a suitable period after the publication of the RFC331bis RFC, work to advance DHCPv6 to Internet Standard. (See the WG charter for full details.)

The chairs do intend to request a DHC WG session at IETF-104 (Prague) as we should meet occasionally, if much less frequently.

-          Bernie and Tomek